# __gnu_cxx::annotate_base Struct Reference

Base class for checking address and label information about allocations. Create a std::map between the allocated address (void*) and a datum for annotations, which are a pair of numbers corresponding to label and allocated size. More...

Inheritance diagram for __gnu_cxx::annotate_base:
[legend]

List of all members.

## Public Member Functions

- void check_allocated (size_t label)
- void check_allocated (void *p, size_t size)
- void erase (void *p, size_t size)
- void insert (void *p, size_t size)

## Static Public Member Functions

- static size_t get_label ()
- static void set_label (size_t l)

## Friends

- std::ostream & operator<< (std::ostream &, const annotate_base &)

## Detailed Description

Base class for checking address and label information about allocations. Create a std::map between the allocated address (void*) and a datum for annotations, which are a pair of numbers corresponding to label and allocated size.

Definition at line 94 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h